# -*- coding: utf-8 -*-
from neuroProcesses import *

name = 'PBV_3: Threshold image'
userLevel = 0

signature = Signature(
  'input_image', ReadDiskItem( '4D Volume', 'Aims readable volume formats' ),
  'threshold', Float(),
  'output_image', WriteDiskItem( '4D Volume', 'Aims writable volume formats' ),
)

def initialization( self ):
  self.threshold = 0

def execution( self, context ):
  context.system( 'AimsThreshold',
    '-i', self.input_image,
    '-o', self.output_image,
    '-m', 'gt',
    '-t', self.threshold,
    '-b' )
