from neuroProcesses import *

name = 'PBV_4: Create mesh from binary image'
userLevel = 0

signature = Signature(
  'image', ReadDiskItem( '4D Volume', 'Aims readable volume formats' ),
  'mesh', WriteDiskItem( 'Mesh', 'Aims mesh formats' ),
)

def execution( self, context ):
  context.system( 'AimsMeshBrain', '-i', self.image, '-o', self.mesh )
  
  
